×

Discussion Board

Results 1 to 12 of 12
  1. #1
    Regular Contributor
    Join Date
    Jun 2009
    Posts
    139

    Please help me.I just installed SDK and carbide.

    Hi all,

    I have installed S60 3.1 SDK and Carbide in my machine and configured command line tools and set EPOCROOT as \ in the User variable and SDK preferences in the Carbide also set properly.

    When I try to give bldmake bldfiles in the command prompt under particular project directory which has bld.inf ,I am getting this error.

    "\epoc32\tools\bldmake.bat was called but is not supported in this release"

    What does the above error means and how to solve it ?

    Regards,
    J.Ramesh

  2. #2
    Nokia Developer Champion
    Join Date
    Mar 2006
    Location
    Helsinki, Finland
    Posts
    8,336

    Re: Please help me.I just installed SDK and carbide.

    There is no need to define EPOCROOT variable.
    Nokia Developer Wiki Moderation team

  3. #3
    Regular Contributor
    Join Date
    Jun 2009
    Posts
    139

    Re: Please help me.I just installed SDK and carbide.

    Hi Kiran,

    Do you know what this error means and how to solve it?

    Regards,
    ramesh12.

  4. #4
    Regular Contributor
    Join Date
    Sep 2009
    Posts
    103

    Smile Re: Please help me.I just installed SDK and carbide.

    Quote Originally Posted by kiran10182 View Post
    There is no need to define EPOCROOT variable.
    yes,you should install the default path..
    1 jRE
    2 Active perl
    3 carbide
    4 SDK

  5. #5
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,355

    Re: Please help me.I just installed SDK and carbide.

    Where is this wave of EPOCROOT missuse coming from? Is there a document we should update?
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  6. #6
    Regular Contributor
    Join Date
    Jun 2009
    Posts
    139

    Re: Please help me.I just installed SDK and carbide.

    Hi ,

    I didn't install JRE .Because of not installing JRE, is it giving compiling error ?

    But I can compile the project using Carbide c++ ? Do u have any clue to solve this error ?

    I have installed Carbide,Active Perl,S60 3.1 SDK under C drive only.Is it necessary to install JRE and Do u have any link to install JRE?

    Regards,
    J.Ramesh

  7. #7
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,355

    Re: Please help me.I just installed SDK and carbide.

    Quote Originally Posted by bingxuewangzi427 View Post
    yes,you should install the default path..
    1 jRE
    2 Active perl
    3 carbide
    4 SDK
    Even if not using default path, EPOCROOT is never* needed
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  8. #8
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,355

    Re: Please help me.I just installed SDK and carbide.

    Quote Originally Posted by ramesh12 View Post
    Hi ,

    I didn't install JRE .Because of not installing JRE, is it giving compiling error ?

    But I can compile the project using Carbide c++ ? Do u have any clue to solve this error ?

    I have installed Carbide,Active Perl,S60 3.1 SDK under C drive only.Is it necessary to install JRE and Do u have any link to install JRE?

    Regards,
    J.Ramesh
    You don't need JRE yet, just remove EPOCROOT and then have a look at the links in my signature
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  9. #9
    Nokia Developer Champion
    Join Date
    Mar 2006
    Location
    Helsinki, Finland
    Posts
    8,336

    Re: Please help me.I just installed SDK and carbide.

    Quote Originally Posted by ramesh12 View Post
    Do u have any clue to solve this error ?
    Delete EPOCROOT variable from
    control panel >> System >> Advanced >> Environment variables >>...
    EDIT: Formatting took 3 minutes...
    Nokia Developer Wiki Moderation team

  10. #10
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,355

    Re: Please help me.I just installed SDK and carbide.

    Quote Originally Posted by kiran10182 View Post
    EDIT: Formatting took 3 minutes...
    I was faster although writing on a N900's virtual keyboard
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  11. #11
    Regular Contributor
    Join Date
    Jun 2009
    Posts
    139

    Re: Please help me.I just installed SDK and carbide.

    Hi Kiran,

    When I tried removing EPOCROOT variable,I got thie compile error "\EPOC32\ does not exists" .I solved it by setting EPOCROOT in the user variable of Environment variable.

    After solving this error,again I am getting this error in the command prompt.

    "\epoc32\tools\bldmake.bat was called but is not supported in this release"

    I suspect the above error is not due to EPOCROOT .It is something indicating that it might be error in active perl since bldmake.bat file contains perl related statements.

    What is ur suggestions ?

    Regards,
    J.Ramesh.

  12. #12
    Nokia Developer Moderator
    Join Date
    Oct 2006
    Location
    Finland
    Posts
    4,492

    Re: Please help me.I just installed SDK and carbide.

    Quote Originally Posted by ramesh12 View Post
    Hi Kiran,

    When I tried removing EPOCROOT variable,I got thie compile error "\EPOC32\ does not exists" .I solved it by setting EPOCROOT in the user variable of Environment variable.

    After solving this error,again I am getting this error in the command prompt.

    "\epoc32\tools\bldmake.bat was called but is not supported in this release"

    I suspect the above error is not due to EPOCROOT .It is something indicating that it might be error in active perl since bldmake.bat file contains perl related statements.

    What is ur suggestions ?

    Regards,
    J.Ramesh.
    I have a feeling from your error about EPOCROOT \Epoc32\does not exist...might have been that your EPOCROOT might have been set to '\' in environment variable on your second attempt at it. Take care to remove it completely.

    And when in doubt of perl, always mention what version you are using. The correct one is 5.6.1 build 635/638

Similar Threads

  1. Carbide not recognizing installed UIQ SDK
    By Teknomancer in forum Symbian Tools & SDKs
    Replies: 2
    Last Post: 2007-05-23, 13:58
  2. When load some MMP file, SDK was not found by Carbide
    By huangkuan in forum Symbian Tools & SDKs
    Replies: 0
    Last Post: 2007-01-18, 04:47
  3. Building with another SDK in Carbide
    By fredgauchet in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 1
    Last Post: 2006-03-02, 11:29
  4. Nokia S60 SDK and Carbide in VS.NET 6.0
    By MePHyst0 in forum Symbian Tools & SDKs
    Replies: 2
    Last Post: 2005-12-01, 20:46
  5. Carbide.vs problem with the installed SDK's
    By njonesy in forum Symbian Tools & SDKs
    Replies: 3
    Last Post: 2005-11-28, 10:40

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •